Skip to main content
GET
matcher.track.get
In some cases you already have some information about the track title, artist name, album, etc.
A possible strategy to get the corresponding lyrics could be:
  • search our catalogue with a precise match;
  • try using fuzzy search;
  • try again using artist aliases, and so on.
The matcher.track.get method does all the job for you in a single call. This way you don’t need to worry about details, and you’ll get instant benefits for your application without changing a row in your code, while we take care of improving the implementation behind. Make sure to:

Authorizations

apikey
string
query
required

Query Parameters

q_track
string
required

The song title. Required if the track_isrc is not indicated.

Example:

"Wildest Dreams (Taylor's Version)"

q_artist
string
required

The song artist. Required if the track_isrc is not indicated.

Example:

"Taylor Swift"

track_isrc
string

(Optional parameter) A valid ISRC identifier. If you have an ISRC ID in your catalogue you can query using this ID only.

Example:

"USUG12103658"

Response

200 - application/json

200 OK / 401 Unauthorized

message
object